#
# spec file for package python-sphinxcontrib-breathe
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python-sphinxcontrib-breathe
Version:        3.2.0
Release:        5.5
License:        BSD-3-Clause
Summary:        Sphinx "breathe" extension
Url:            https://github.com/michaeljones/breathe
Group:          Development/Languages/Python
Source:         https://github.com/michaeljones/breathe/archive/v%{version}.tar.gz
BuildRequires:  python-devel python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
This package contains the breathe Sphinx extension.

This is an extension to reStructuredText and Sphinx to be able to read and render the Doxygen xml output.

%prep
%setup -q -n breathe-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENCE README.rst CONTRIBUTING.rst
%{python_sitelib}/*

%changelog
* Mon Feb  2 2015 zaitor@opensuse.org
- Correct license to BSD-3-Clause.
* Tue Dec 30 2014 ecsos@opensuse.org
- initial version 3.2.0
